VMTKSURFACEREMESHING(1)

NAME
vmtksurfaceremeshing - vmtk script vmtksurfaceremeshing

DESCRIPTION
Automatic piping vmtksurfaceremeshing Parsing options vmtksurfaceremeshing

vmtksurfaceremeshing : remesh a surface using quality triangles

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-elementsizemode ElementSizeMode (str,1) in ['area', 'edgelength',

    'areaarray', 'edgelengtharray']; default=area

-area TargetArea (float,1) >= 0.0; default=1.0

-areaarray TargetAreaArrayName (str,1); default=TargetArea

-edgelength TargetEdgeLength (float,1) >= 0.0; default=1.0

-edgelengtharray TargetEdgeLengthArrayName (str,1)

-areafactor TargetAreaFactor (float,1) >= 0.0; default=1.0

-edgelengthfactor TargetEdgeLengthFactor (float,1) >= 0.0;

    default=1.0

-trianglesplitfactor TriangleSplitFactor (float,1) >= 0.0;

    default=5.0

-maxarea MaxArea (float,1) >= 0.0; default=1e+16

-minarea MinArea (float,1) >= 0.0; default=0.0

-iterations NumberOfIterations (int,1) >= 0; default=10

-connectivityiterations NumberOfConnectivityOptimizationIterations

    (int,1) >= 0; default=20

-entityidsarray CellEntityIdsArrayName (str,1); default=None

-aspectratio AspectRatioThreshold (float,1) >= 0.0; default=1.2

-minareafactor MinAreaFactor (float,1) >= 0.0; default=0.5

-internalangletolerance InternalAngleTolerance (float,1) >= 0.0;

    default=0.0

-normalangletolerance NormalAngleTolerance (float,1) >= 0.0;

    default=0.2

-collapseangle CollapseAngleThreshold (float,1) >= 0.0; default=0.2

-relaxation Relaxation (float,1) >= 0.5; default=0.5

-exclude ExcludeEntityIds (int,-1); default=[]

-preserveboundary PreserveBoundaryEdges (bool,1); default=0

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface